- [HTTP request](https://developers.google.com/doubleclick-advertisers/rest/v5/targetingTemplates/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/targetingTemplates/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/targetingTemplates/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/doubleclick-advertisers/rest/v5/targetingTemplates/list#body.request_body)
- [Response body](https://developers.google.com/doubleclick-advertisers/rest/v5/targetingTemplates/list#body.response_body)
  - [JSON representation](https://developers.google.com/doubleclick-advertisers/rest/v5/targetingTemplates/list#body.TargetingTemplatesListResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/doubleclick-advertisers/rest/v5/targetingTemplates/list#body.aspect)
- [Try it!](https://developers.google.com/doubleclick-advertisers/rest/v5/targetingTemplates/list#try-it)

Retrieves a list of targeting templates, optionally filtered. This method supports [paging](https://developers.google.com/doubleclick-advertisers/trafficking_tasks#list).

### HTTP request

`GET https://dfareporting.googleapis.com/dfareporting/v5/userprofiles/{profileId}/targetingTemplates`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `profileId` | `string (https://developers.google.com/discovery/v1/type-format format)` User profile ID associated with this request. |

### Query parameters

| Parameters ||
|---|---|
| `ids[]` | `string (https://developers.google.com/discovery/v1/type-format format)` Select only targeting templates with these IDs. |
| `searchString` | `string` Allows searching for objects by name or ID. Wildcards (`*`) are allowed. For example, `"template*2015"` will return objects with names like `"template June 2015"`, `"template April 2015"`, or simply `"template 2015"`. Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of `"template"` will match objects with name `"my template"`, `"template 2015"`, or simply `"template"`. |
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` Select only targeting templates with this advertiser ID. |
| `maxResults` | `integer` Maximum number of results to return. |
| `pageToken` | `string` Value of the `nextPageToken` from the previous result page. |
| `sortField` | ``enum (`https://developers.google.com/doubleclick-advertisers/rest/v5/SortField`)`` Field by which to sort the list. |
| `sortOrder` | ``enum (`https://developers.google.com/doubleclick-advertisers/rest/v5/SortOrder`)`` Order of sorted results. |

### Request body

The request body must be empty.

### Response body

Targeting Template targetingTemplates.list Response

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "nextPageToken": string, "targetingTemplates": [ { object (`https://developers.google.com/doubleclick-advertisers/rest/v5/targetingTemplates#TargetingTemplate`) } ] } ``` |

| Fields ||
|---|---|
| `kind` | `string` Identifies what kind of resource this is. Value: the fixed string `"dfareporting#targetingTemplatesListResponse"`. |
| `nextPageToken` | `string` Pagination token to be used for the next list operation. |
| `targetingTemplates[]` | ``object (`https://developers.google.com/doubleclick-advertisers/rest/v5/targetingTemplates#TargetingTemplate`)`` Targeting template collection. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/dfatrafficking`